# XQilla Simple API Documentation

# DocumentCache Class Reference

Expression Context is a storage for contexts. More...

`#include <DocumentCache.hpp>`

Inheritance diagram for DocumentCache:
[legend]

List of all members.

## Public Types

enum | ValidationMode { VALIDATION_STRICT = 0, VALIDATION_LAX = 1, VALIDATION_SKIP = 2 }

## Public Member Functions

virtual | ~DocumentCache ()
| virtual destructor
virtual Node::Ptr | loadDocument (const XMLCh *uri, DynamicContext *context, const QueryPathNode *projection=0)=0
| load the document from the requested URI
virtual Node::Ptr | parseDocument (xercesc::InputSource &srcToUse, DynamicContext *context, const QueryPathNode *projection=0)=0
| parse the document from the InputSource provided
virtual void | parseDocument (xercesc::InputSource &srcToUse, EventHandler *handler, DynamicContext *context)=0
| parse the document from the InputSource provided, outputing it to the EventHandler provided
virtual void | setXMLEntityResolver (xercesc::XMLEntityResolver *const handler)=0
| Sets the XMLEntityResolver that is used by Xerces when it is used to parse documents.
virtual xercesc::XMLEntityResolver * | getXMLEntityResolver () const =0
virtual bool | getDoPSVI () const =0
virtual void | setDoPSVI (bool value)=0
virtual bool | isTypeOrDerivedFromType (const XMLCh *const uri, const XMLCh *const typeName, const XMLCh *const uriToCheck, const XMLCh *const typeNameToCheck) const =0
virtual bool | isTypeDefined (const XMLCh *const uri, const XMLCh *const typeName) const =0
virtual void | addSchemaLocation (const XMLCh *uri, VectorOfStrings *locations, StaticContext *context, const LocationInfo *location)=0
virtual unsigned int | getSchemaUriId (const XMLCh *uri) const =0
| helper functions used to map namespace ids found in the SchemaGrammar
virtual const XMLCh * | getSchemaUri (unsigned int id) const =0
virtual xercesc::GrammarResolver * | getGrammarResolver () const =0
virtual xercesc::DatatypeValidator * | getDatatypeValidator (const XMLCh *uri, const XMLCh *typeName) const =0
virtual xercesc::ComplexTypeInfo * | getComplexTypeInfo (const XMLCh *uri, const XMLCh *typeName) const =0
virtual xercesc::SchemaElementDecl * | getElementDecl (const XMLCh *elementUri, const XMLCh *elementName) const =0
virtual xercesc::SchemaAttDef * | getAttributeDecl (const XMLCh *attributeUri, const XMLCh *attributeName) const =0
virtual DocumentCache * | createDerivedCache (xercesc::MemoryManager *memMgr) const =0

## Static Public Attributes

static const XMLCh | g_szUntyped []
| untyped

## Detailed Description

Expression Context is a storage for contexts.

## Member Enumeration Documentation

enum DocumentCache::ValidationMode

Enumerator:

  VALIDATION_STRICT |
  VALIDATION_LAX |
  VALIDATION_SKIP |

## Constructor & Destructor Documentation

virtual DocumentCache::~DocumentCache | ( |  | ) | `[inline, virtual]`

virtual destructor

## Member Function Documentation

virtual void DocumentCache::addSchemaLocation | ( | const XMLCh * | uri,
|  | VectorOfStrings * | locations,
|  | StaticContext * | context,
|  | const LocationInfo * | location |
| ) |  |  | `[pure virtual]`

virtual DocumentCache* DocumentCache::createDerivedCache | ( | xercesc::MemoryManager * | memMgr | ) | const`[pure virtual]`

virtual xercesc:: SchemaAttDef* DocumentCache::getAttributeDecl | ( | const XMLCh * | attributeUri,
|  | const XMLCh * | attributeName |
| ) |  |  | const`[pure virtual]`

virtual xercesc:: ComplexTypeInfo* DocumentCache::getComplexTypeInfo | ( | const XMLCh * | uri,
|  | const XMLCh * | typeName |
| ) |  |  | const`[pure virtual]`

virtual xercesc:: DatatypeValidator* DocumentCache::getDatatypeValidator | ( | const XMLCh * | uri,
|  | const XMLCh * | typeName |
| ) |  |  | const`[pure virtual]`

virtual bool DocumentCache::getDoPSVI | ( |  | ) | const`[pure virtual]`

virtual xercesc:: SchemaElementDecl* DocumentCache::getElementDecl | ( | const XMLCh * | elementUri,
|  | const XMLCh * | elementName |
| ) |  |  | const`[pure virtual]`

virtual xercesc:: GrammarResolver* DocumentCache::getGrammarResolver | ( |  | ) | const`[pure virtual]`

virtual const XMLCh* DocumentCache::getSchemaUri | ( | unsigned int | id | ) | const`[pure virtual]`

virtual unsigned int DocumentCache::getSchemaUriId | ( | const XMLCh * | uri | ) | const`[pure virtual]`

helper functions used to map namespace ids found in the SchemaGrammar

virtual xercesc:: XMLEntityResolver* DocumentCache::getXMLEntityResolver | ( |  | ) | const`[pure virtual]`

virtual bool DocumentCache::isTypeDefined | ( | const XMLCh *const | uri,
|  | const XMLCh *const | typeName |
| ) |  |  | const`[pure virtual]`

virtual bool DocumentCache::isTypeOrDerivedFromType | ( | const XMLCh *const | uri,
|  | const XMLCh *const | typeName,
|  | const XMLCh *const | uriToCheck,
|  | const XMLCh *const | typeNameToCheck |
| ) |  |  | const`[pure virtual]`

virtual Node::Ptr DocumentCache::loadDocument | ( | const XMLCh * | uri,
|  | DynamicContext * | context,
|  | const QueryPathNode * | projection = `0` |
| ) |  |  | `[pure virtual]`

load the document from the requested URI

virtual void DocumentCache::parseDocument | ( | xercesc::InputSource & | srcToUse,
|  | EventHandler * | handler,
|  | DynamicContext * | context |
| ) |  |  | `[pure virtual]`

parse the document from the InputSource provided, outputing it to the EventHandler provided

virtual Node::Ptr DocumentCache::parseDocument | ( | xercesc::InputSource & | srcToUse,
|  | DynamicContext * | context,
|  | const QueryPathNode * | projection = `0` |
| ) |  |  | `[pure virtual]`

parse the document from the InputSource provided

virtual void DocumentCache::setDoPSVI | ( | bool | value | ) | `[pure virtual]`

virtual void DocumentCache::setXMLEntityResolver | ( | xercesc::XMLEntityResolver *const | handler | ) | `[pure virtual]`

Sets the XMLEntityResolver that is used by Xerces when it is used to parse documents.

This affects the behaviour of XQilla whenever it retrieves an XML, DTD or XML Schema grammar.

## Member Data Documentation

const XMLCh DocumentCache::g_szUntyped[]`[static]`

untyped

The documentation for this class was generated from the following file:

- DocumentCache.hpp